org.kie.internal.runtime.manager

## Interface Mapper

-     public interface Mapper

  `Mapper` responsibility is to provide correlation between context identifier and ksession identifier to effectively keep track of what context has been mapped to given ksession.
  Mapper covers entire life cycle of the mapping which consists of:
  - storing the mapping
  - retrieving the mapping
  - removing the mapping

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `findContextId(Long ksessionId, String ownerId)` Finds context by ksession identifier
    `Long` | `findMapping(org.kie.api.runtime.manager.Context<?> context, String ownerId)` Finds ksession for given context
    `void` | `removeMapping(org.kie.api.runtime.manager.Context<?> context, String ownerId)` Remove permanently context to ksession id mapping
    `void` | `saveMapping(org.kie.api.runtime.manager.Context<?> context, Long ksessionId, String ownerId)` Stores context to ksession id mapping

- - ### Method Detail

    - #### saveMapping

          void saveMapping(org.kie.api.runtime.manager.Context<?> context,
                           Long ksessionId,
                           String ownerId)

      Stores context to ksession id mapping
      Parameters:
        `context` - instance of the context to be stored
        `ksessionId` - actual identifier of ksession

    - #### findMapping

          Long findMapping(org.kie.api.runtime.manager.Context<?> context,
                           String ownerId)

      Finds ksession for given context
      Parameters:
        `context` - instance of the context
      Returns:
        ksession identifier when found otherwise null

    - #### findContextId

          Object findContextId(Long ksessionId,
                               String ownerId)

      Finds context by ksession identifier
      Parameters:
        `ksessionId` - identifier of ksession
      Returns:
        context instance when wound otherwise null

    - #### removeMapping

          void removeMapping(org.kie.api.runtime.manager.Context<?> context,
                             String ownerId)

      Remove permanently context to ksession id mapping
      Parameters:
        `context` - context instance that mapping shall be removed for

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.